summaryrefslogtreecommitdiffstats
path: root/scripts/erizo-nmon-image
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/erizo-nmon-image')
-rwxr-xr-xscripts/erizo-nmon-image10
1 files changed, 10 insertions, 0 deletions
diff --git a/scripts/erizo-nmon-image b/scripts/erizo-nmon-image
new file mode 100755
index 0000000000..b56fd365c6
--- /dev/null
+++ b/scripts/erizo-nmon-image
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+if [ $# != 2 ]; then
+ echo "Usage:"
+ echo " erizo-nmon-image <input-binary-file> <output-expect-file>"
+
+ exit 1
+fi
+
+hexdump -v -e '/4 "%08x\n"' $1 | perl -e '$a = 0x80000000; while (<>) { chop; printf("expect \"nmon> \"\n"); printf("send \"w%08x$_\"\n", $a); $a = $a + 4; }' > $2